2009年9月20日

[vine-users:079662] Re: ipw2200 が modprobeできない

長南です。

田添さんがインストールなさった Vine 5.0 は 32bit版ですか、
64bit 版ですか。こちらは 64bit ですが、そこから来た違い
なんでしょうか。

田添さんのメールより [vine-users:079661]
>

> [root@xxxxx ~]# locate ipw2200.ko
> /lib/modules/2.6.27-43vl5/kernel/drivers/net/wireless/ipw2200.ko
> /lib/modules/2.6.27-43vl5/extra/drivers/net/wireless/ipw2x00/ipw2200.ko

両方とも実ファイルですか。下の方は、なんというパッケージから
来たのか。rpm -qf でお調べになったら、どんな結果が出るでしょう。

あるいは、/lib/modules/2.6.27-43vl5/modules.dep を見て、どっちの
モジュールが使われているか推測してみるとか。下のモジュールが
使われているなら、上の方のモジュールをロードしてみるとか。

そのときは、下のモジュールをどこかに退避して、depmod をやる必要が
あるんでしたっけ。insmod で必要なモジュールを一個づつロードする手も
ありそうですけれど。depmod を実行するときは、/lib/modules/2.6.27-43vl5
にある modules.* をバックアップしておいた方ががよいかもしれません。

--
長南洋一


投稿者 xml-rpc : 2009年9月20日 08:39
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/88771
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。